optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
optoKummenberg.registers.MiscSystems.Logger Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.Logger:

## Public Member Functions
| __init__ (self, board=None)
| GetLoggedRegister (self, log_number)
| Gets the register number logged into specific log number.
| SetLoggedRegister (self, log_number, value)
| Sets the register number logged into specific log number.
| RunLogger (self)
| Starts the logger.
| StopLogger (self)
| Stops the logger.
| GetLog (self, log_number, index, count)
| Gets logged values in specific log.
| GetSamplingFrequency (self)
| Gets the sampling frequency of the logger.
| SetSamplingFrequency (self, value)
| Sets the sampling frequency of the logger.
| to_int (self, float_v)
| When logging an integer value this conversion needs to be used on the values obtained by GetLog.
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
| sys_id
| logged_register_0
| logged_register_1
| logged_register_2
| logged_register_3
| logged_register_4
| logged_register_5
| logged_register_6
| logged_register_7
| logged_register_8
| logged_register_9
| logged_register_10
| logged_register_11
| run
| sampling_frequency
| register_log_0
| register_log_1
| register_log_2
| register_log_3
| register_log_4
| register_log_5
| register_log_6
| register_log_7
| register_log_8
| register_log_9
| register_log_10
| register_log_11
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Member Functions
| _GetLogSegment (self, log_number, index, count)
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Logger
    System ID: 0x24

    A system for logging the values of various readable registers.

    Register Map:
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         | Address of register to log                |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x10 | boolean     |None  |       | false   | Set true to start logging, will be set to |
    |                           |      |             |      |       |         | false after the memory is filled          |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x11 | float 32-bit|Hz    |       | 20000   | Sampling rate in Hz which the logger logs |
    |                           |      |                    |       |         | values.                                   |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Minimum sampling rate     | 0x12 | float 32-bit|Hz    |       | $ \frac{20000}{2^{32}-1} $ |                        |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Maximum sampling rate     | 0x13 | flaot 32-bit|Hz    |       | 20000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

    Vector Map:
    +------------------------+------+--------------------+-------------------------------------------+
    | Register Name          | Id   | Type               | Comment                                   |
    +========================+======+====================+===========================================+
    | Register log 0         | 0x00 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+-------------------------------------------+
    | Register log 1         | 0x01 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+-----------------------------+
    | Register log 2         | 0x02 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 3         | 0x03 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 4         | 0x04 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+
    | Register log 5         | 0x05 | uint 32-bit [5000] | Logged values for corresponding register  |
    +---------------------------+------+-----------------+------+-------+----------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.Logger.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.System.

## Member Function Documentation

## ◆ _GetLogSegment()

optoKummenberg.registers.MiscSystems.Logger._GetLogSegment | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )
| protected

## ◆ GetLog()

optoKummenberg.registers.MiscSystems.Logger.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count )

Gets logged values in specific log.

These values represents periodically logged register specified by SetLoggedRegister method

## ◆ GetLoggedRegister()

optoKummenberg.registers.MiscSystems.Logger.GetLoggedRegister | ( |  | self,
|  |  | log_number )

Gets the register number logged into specific log number.

## ◆ GetSamplingFrequency()

optoKummenberg.registers.MiscSystems.Logger.GetSamplingFrequency | ( |  | self | ) |

Gets the sampling frequency of the logger.

## ◆ RunLogger()

optoKummenberg.registers.MiscSystems.Logger.RunLogger | ( |  | self | ) |

Starts the logger.

## ◆ SetLoggedRegister()

optoKummenberg.registers.MiscSystems.Logger.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value )

Sets the register number logged into specific log number.

The value of this register will be periodically logged into memory in form of the vector, this vector can be then obtained by GetLog method.

## ◆ SetSamplingFrequency()

optoKummenberg.registers.MiscSystems.Logger.SetSamplingFrequency | ( |  | self,
|  |  | value )

Sets the sampling frequency of the logger.

## ◆ StopLogger()

optoKummenberg.registers.MiscSystems.Logger.StopLogger | ( |  | self | ) |

Stops the logger.

## ◆ to_int()

optoKummenberg.registers.MiscSystems.Logger.to_int | ( |  | self,
|  |  | float_v )

When logging an integer value this conversion needs to be used on the values obtained by GetLog.

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.MiscSystems.Logger._readonly
| protected

## ◆ logged_register_0

optoKummenberg.registers.MiscSystems.Logger.logged_register_0

## ◆ logged_register_1

optoKummenberg.registers.MiscSystems.Logger.logged_register_1

## ◆ logged_register_10

optoKummenberg.registers.MiscSystems.Logger.logged_register_10

## ◆ logged_register_11

optoKummenberg.registers.MiscSystems.Logger.logged_register_11

## ◆ logged_register_2

optoKummenberg.registers.MiscSystems.Logger.logged_register_2

## ◆ logged_register_3

optoKummenberg.registers.MiscSystems.Logger.logged_register_3

## ◆ logged_register_4

optoKummenberg.registers.MiscSystems.Logger.logged_register_4

## ◆ logged_register_5

optoKummenberg.registers.MiscSystems.Logger.logged_register_5

## ◆ logged_register_6

optoKummenberg.registers.MiscSystems.Logger.logged_register_6

## ◆ logged_register_7

optoKummenberg.registers.MiscSystems.Logger.logged_register_7

## ◆ logged_register_8

optoKummenberg.registers.MiscSystems.Logger.logged_register_8

## ◆ logged_register_9

optoKummenberg.registers.MiscSystems.Logger.logged_register_9

## ◆ name

optoKummenberg.registers.MiscSystems.Logger.name

## ◆ register_log_0

optoKummenberg.registers.MiscSystems.Logger.register_log_0

## ◆ register_log_1

optoKummenberg.registers.MiscSystems.Logger.register_log_1

## ◆ register_log_10

optoKummenberg.registers.MiscSystems.Logger.register_log_10

## ◆ register_log_11

optoKummenberg.registers.MiscSystems.Logger.register_log_11

## ◆ register_log_2

optoKummenberg.registers.MiscSystems.Logger.register_log_2

## ◆ register_log_3

optoKummenberg.registers.MiscSystems.Logger.register_log_3

## ◆ register_log_4

optoKummenberg.registers.MiscSystems.Logger.register_log_4

## ◆ register_log_5

optoKummenberg.registers.MiscSystems.Logger.register_log_5

## ◆ register_log_6

optoKummenberg.registers.MiscSystems.Logger.register_log_6

## ◆ register_log_7

optoKummenberg.registers.MiscSystems.Logger.register_log_7

## ◆ register_log_8

optoKummenberg.registers.MiscSystems.Logger.register_log_8

## ◆ register_log_9

optoKummenberg.registers.MiscSystems.Logger.register_log_9

## ◆ run

optoKummenberg.registers.MiscSystems.Logger.run

## ◆ sampling_frequency

optoKummenberg.registers.MiscSystems.Logger.sampling_frequency

## ◆ sys_id

optoKummenberg.registers.MiscSystems.Logger.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py